Package ghidra.plugins.importer.batch

# Class BatchImportDialog

java.lang.Object
docking.DialogComponentProvider
ghidra.plugins.importer.batch.BatchImportDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class BatchImportDialog extends DialogComponentProvider

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `okCallback()`
  The callback method for when the "OK" button is pressed.
  `boolean`
  `setupInitialDefaults()`
  `static void`
  `showAndImport(PluginTool tool, BatchInfo batchInfo, List<FSRL> initialFiles, DomainFolder defaultFolder, ProgramManager programManager)`
  Shows the batch import dialog (via runSwingLater) and prompts the user to select a file if the supplied `batchInfo` is empty.

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, dialogClosed, dialogShown, dismissCallback, dispose, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### showAndImport

    public static void showAndImport(PluginTool tool, BatchInfo batchInfo, List<FSRL> initialFiles, DomainFolder defaultFolder, ProgramManager programManager)
    Shows the batch import dialog (via runSwingLater) and prompts the user to select a file if the supplied `batchInfo` is empty.

    The dialog will chain to the `ImportBatchTask` when the user clicks the OK button.

    Parameters:
      `tool` - `PluginTool` that will be the parent of the dialog
      `batchInfo` - optional `BatchInfo` instance with already discovered applications, or null.
      `initialFiles` - optional `List` of `files` to add to the batch import dialog, or null.
      `defaultFolder` - optional default destination folder for imported files or null for root folder.
      `programManager` - optional `ProgramManager` that will be used to open the newly imported binaries.

  - ### setupInitialDefaults

    public boolean setupInitialDefaults()

  - ### okCallback

    protected void okCallback()
    Description copied from class: `DialogComponentProvider`
    The callback method for when the "OK" button is pressed.
    Overrides:
      `okCallback` in class `DialogComponentProvider`